メインコンテンツへスキップ
GET
/
crm
/
v3
/
lists
/
{listId}
IDでリストを取得
curl --request GET \
  --url https://api.hubapi.com/crm/v3/lists/{listId} \
  --header 'Authorization: Bearer <token>'
{
  "list": {
    "createdAt": "2023-11-15T18:15:00.812Z",
    "createdById": "123",
    "filterBranch": {
      "filterBranchOperator": "OR",
      "filterBranchType": "OR",
      "filterBranches": [
        {
          "filterBranchOperator": "AND",
          "filterBranchType": "AND",
          "filters": [
            {
              "filterType": "PROPERTY",
              "operation": {
                "includeObjectsWithNoValueSet": false,
                "operationType": "ENUMERATION",
                "operator": "IS_ANY_OF",
                "values": [
                  "inactive",
                  "active"
                ]
              },
              "property": "hs_content_membership_status"
            },
            {
              "filterType": "IN_LIST",
              "listId": 2,
              "operator": "IN_LIST"
            }
          ]
        }
      ]
    },
    "filtersUpdatedAt": "2023-11-15T18:15:00.812Z",
    "listId": "1",
    "listVersion": 1,
    "name": "Snapshot List Example",
    "objectTypeId": "0-1",
    "processingStatus": "COMPLETE",
    "processingType": "SNAPSHOT",
    "size": 330,
    "updatedAt": "2023-11-15T18:15:20.210Z",
    "updatedById": "123"
  }
}

サポートされる製品

次のいずれかの製品またはそれ以上が必要です。
Marketing HubMarketing Hub -無料ツール
Sales HubSales Hub -無料ツール
Service HubService Hub -無料ツール
Content HubContent Hub -無料ツール

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

listId
string
必須

取得するリストのILS ID

クエリパラメータ

includeFilters
boolean
デフォルト:false

レスポンスオブジェクトリスト定義にフィルター分岐定義が含まれている必要があるかどうかを示すフラグ。デフォルトでは、オブジェクトリスト定義のフィルター分岐定義はレスポンスに含まれません。

レスポンス

Successful response, for a request with includeFilters set to true.

The response for a list fetch request.

list
object
必須

An object list definition.

Last modified on March 30, 2026